#####  Created by:
#####  Bridge Commander Universal Tool


import App
import Foundation


abbrev = "ConstitutionTNG"
iconName = "ConstitutionTNG"
longName = "Constitution-II"
shipFile = "ConstitutionTNG"
species = App.SPECIES_GALAXY
menuGroup = "Fed Ships"
playerMenuGroup = "Fed Ships"
Foundation.ShipDef.ConstitutionTNG = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.ConstitutionTNG.desc = "A Constitution Class Starship refitted to TNG standards."
Foundation.ShipDef.ConstitutionTNG.fMaxWarp = 9.25 + 0.0001
Foundation.ShipDef.ConstitutionTNG.fCruiseWarp = 5 + 0.0001
Foundation.ShipDef.ConstitutionTNG.fCrew = 375


Foundation.ShipDef.ConstitutionTNG.dTechs = {
   "Regenerative Shields": 10
}


if menuGroup:           Foundation.ShipDef.ConstitutionTNG.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.ConstitutionTNG.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


def ConstitutionTNGIDSwap(self):
       retval = {'Textures': [
                ['fca1_glow', 'data/Models/SharedTextures/ConstitutionTNG/fcm1_glow.tga'],
                ['fca2_glow', 'data/Models/SharedTextures/ConstitutionTNG/fcm2_glow.tga'],
                ['fca3_glow', 'data/Models/SharedTextures/ConstitutionTNG/fcm3_glow.tga'],
                ['fca4_glow', 'data/Models/SharedTextures/ConstitutionTNG/fcm4_glow.tga'],
                ['fca5_glow', 'data/Models/SharedTextures/ConstitutionTNG/fcm5_glow.tga'],
                ['fca6_glow', 'data/Models/SharedTextures/ConstitutionTNG/fcm6_glow.tga']
                ]}
       return retval


Foundation.ShipDef.ConstitutionTNG.__dict__['SDT Entry'] = ConstitutionTNGIDSwap
